/* THE SOURCE CODE AND ITS
 * RELATED DOCUMENTATION IS PROVIDED "AS IS". TOSHIBA CORPORATION MAKES NO OTHER
 * WARRANTY OF ANY KIND, WHETHER EXPRESS, IMPLIED OR, STATUTORY AND DISCLAIMS ANY
 * AND ALL IMPLIED WARRANTIES OF MERCHANTABILITY, SATISFACTORY QUALITY, NON
 * INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. THE SOURCE CODE AND
 * DOCUMENTATION MAY INCLUDE ERRORS. TOSHIBA CORPORATION RESERVES THE RIGHT TO
 * INCORPORATE MODIFICATIONS TO THE SOURCE CODE IN LATER REVISIONS OF IT, AND TO
 * MAKE IMPROVEMENTS OR CHANGES IN THE DOCUMENTATION OR THE PRODUCTS OR
 * TECHNOLOGIES DESCRIBED THEREIN AT ANY TIME. TOSHIBA CORPORATION SHALL NOT BE
 * LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGE OR LIABILITY ARISING
 * FROM YOUR USE OF THE SOURCE CODE OR ANY DOCUMENTATION, INCLUDING BUT NOT
 * LIMITED TO, LOST REVENUES, DATA OR PROFITS, DAMAGES OF ANY SPECIAL, INCIDENTAL
 * OR CONSEQUENTIAL NATURE, PUNITIVE DAMAGES, LOSS OF PROPERTY OR LOSS OF PROFITS
 * ARISING OUT OF OR IN CONNECTION WITH THIS AGREEMENT, OR BEING UNUSABLE, EVEN IF
 * ADVISED OF THE POSSIBILITY OR PROBABILITY OF SUCH DAMAGES AND WHETHER A CLAIM
 * FOR SUCH DAMAGE IS BASED UPON WARRANTY, CONTRACT, TORT, NEGLIGENCE OR
 * OTHERWISE. (C)Copyright TOSHIBA CORPORATION 2011 All rights reserved
 */

#include "motor_control.h"
#include "hal_encoder.h"

/*********************************************************************
************************ Global Data *********************************
*********************************************************************/
MotorSetSettings             MotorSetValues[MAX_CHANNEL];
MotorExtendedStateSettings   MotorExtendedStateValues[MAX_CHANNEL] = {
                                                                         {0, 0, 0, 0, 0, MOTORCONTROL_CONTROL_BY_SPEED},
                                                                         {0, 0, 0, 0, 0, MOTORCONTROL_CONTROL_BY_SPEED},
#if defined __TMPM_4KN__                                                                          
                                                                         {0, 0, 0, 0, 0, MOTORCONTROL_CONTROL_BY_SPEED}
#endif /* defined __TMPM_4KN__ */
                                                                     };
MotorParameters              MotorParameterValues[MAX_CHANNEL];
MotorError                   MotorErrorField[MAX_CHANNEL];
PIControlSettings            PIControl[MAX_CHANNEL];
ChannelDependandValues       ChannelValues[MAX_CHANNEL];
SystemDependandValues        SystemValues[MAX_CHANNEL];
EncoderValues                EncoderData[MAX_CHANNEL];
MotorControlData             MotorControl[MAX_CHANNEL];
TargetPosition               StartEncValue[MAX_CHANNEL];
EncoderValues                EncoderDataTest[MAX_CHANNEL];
TurnStateSettings            TurnStateValues[MAX_CHANNEL];
ChannelUsageSetting          ChannelUsageConfiguration[MAX_CHANNEL] = {
                                                                          CHANNEL_NOT_USED,
                                                                          CHANNEL_NOT_USED,
#if defined __TMPM_4KN__                                                                          
                                                                          CHANNEL_NOT_USED
#endif /* defined __TMPM_4KN__ */
                                                                      };
#ifdef FIX_155_PMD_DELAY
uint8_t gPmdRegisterSetting[3][8] = {0}; /* Scenarios = 8 for PMD delay and channels = 3 */
#endif
