/* THE SOURCE CODE AND ITS
 * RELATED DOCUMENTATION IS PROVIDED "AS IS". TOSHIBA CORPORATION MAKES NO OTHER
 * WARRANTY OF ANY KIND, WHETHER EXPRESS, IMPLIED OR, STATUTORY AND DISCLAIMS ANY
 * AND ALL IMPLIED WARRANTIES OF MERCHANTABILITY, SATISFACTORY QUALITY, NON
 * INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. THE SOURCE CODE AND
 * DOCUMENTATION MAY INCLUDE ERRORS. TOSHIBA CORPORATION RESERVES THE RIGHT TO
 * INCORPORATE MODIFICATIONS TO THE SOURCE CODE IN LATER REVISIONS OF IT, AND TO
 * MAKE IMPROVEMENTS OR CHANGES IN THE DOCUMENTATION OR THE PRODUCTS OR
 * TECHNOLOGIES DESCRIBED THEREIN AT ANY TIME. TOSHIBA CORPORATION SHALL NOT BE
 * LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGE OR LIABILITY ARISING
 * FROM YOUR USE OF THE SOURCE CODE OR ANY DOCUMENTATION, INCLUDING BUT NOT
 * LIMITED TO, LOST REVENUES, DATA OR PROFITS, DAMAGES OF ANY SPECIAL, INCIDENTAL
 * OR CONSEQUENTIAL NATURE, PUNITIVE DAMAGES, LOSS OF PROPERTY OR LOSS OF PROFITS
 * ARISING OUT OF OR IN CONNECTION WITH THIS AGREEMENT, OR BEING UNUSABLE, EVEN IF
 * ADVISED OF THE POSSIBILITY OR PROBABILITY OF SUCH DAMAGES AND WHETHER A CLAIM
 * FOR SUCH DAMAGE IS BASED UPON WARRANTY, CONTRACT, TORT, NEGLIGENCE OR
 * OTHERWISE. (C)Copyright TOSHIBA CORPORATION 2011 All rights reserved
 */

#undef _MOTOR_DEFINE_H_

/* Motor Parameter */
#undef  MOTOR_POLE_PAIRS
#undef  MOTOR_DIRECTION
#undef  MOTOR_ENCODER_TYPE
#undef  MOTOR_ENCODER_USAGE
#undef  MOTOR_ENCODER_COUNT
#undef  MOTOR_ENCODER_MIN_COUNT
#undef  MOTOR_ENCODER_START_COUNT
#undef  MOTOR_ENCODER_MAX_COUNT
#undef  MOTOR_ENCODER_LM_APPROACH_RPM
#undef  MOTOR_ENCODER_RECEIVER
#undef  MOTOR_ENCODER_RECEIVER_MODE
#undef  MOTOR_GEAR_FACTOR
#undef  MOTOR_ANGULAR_ACC_MAX_VALUE
#undef  MOTOR_ANGULAR_ACC_MAX_UNIT
#undef  MOTOR_TORQUE_FACTOR_VALUE
#undef  MOTOR_TORQUE_FACTOR_UNIT
#undef  MOTOR_RESISTANCE_VALUE
#undef  MOTOR_RESISTANCE_UNIT
#undef  MOTOR_INDUCTANCE_VALUE
#undef  MOTOR_INDUCTANCE_UNIT
#undef  MOTOR_SPEED_LIMIT_VALUE
#undef  MOTOR_SPEED_LIMIT_UNIT
#undef  MOTOR_SPEED_CHANGE_VALUE
#undef  MOTOR_SPEED_CHANGE_UNIT
#undef  MOTOR_POSITION_DELAY_VALUE
#undef  MOTOR_POSITION_DELAY_UNIT
#undef  MOTOR_IQ_START_VALUE
#undef  MOTOR_IQ_START_UNIT
#undef  MOTOR_ID_START_VALUE
#undef  MOTOR_ID_START_UNIT
#undef  MOTOR_IQ_LIM_VALUE
#undef  MOTOR_IQ_LIM_UNIT
#undef  MOTOR_ID_LIM_VALUE
#undef  MOTOR_ID_LIM_UNIT
#undef  MOTORID

/* Control Loop Parameter */
#undef  CONTROL_ID_KI_VALUE
#undef  CONTROL_ID_KP_VALUE
#undef  CONTROL_IQ_KI_VALUE
#undef  CONTROL_IQ_KP_VALUE
#undef  CONTROL_POSITION_KI_VALUE
#undef  CONTROL_POSITION_KP_VALUE
#undef  CONTROL_SPEED_KI_VALUE
#undef  CONTROL_SPEED_KP_VALUE

/* System Parameter */
#undef  SYSTEM_PWM_FREQUENCY_VALUE
#undef  SYSTEM_SHUTDOWN_MODE
#undef  SYSTEM_RESTART_MODE
#undef  SYSTEM_STALL_DETECT_VALUE
#undef  SYSTEM_OVERTEMPERATURE_VALUE
#undef  SYSTEM_SPEED_CONTROL_MODE
#undef  SYSTEM_SW_OVERVOLTAGE_VALUE
#undef  SYSTEM_SW_UNDERVOLTAGE_VALUE
#undef  SYSTEM_BRAKE_TIME_VALUE
#undef  SYSTEM_BRAKE_PERCENTAGE_VALUE
#undef  SYSTEM_SW_OVERCURRENT_VALUE
#undef  SYSTEM_SPEED_REDUCTION_VALUE
