/* THE SOURCE CODE AND ITS
 * RELATED DOCUMENTATION IS PROVIDED "AS IS". TOSHIBA CORPORATION MAKES NO OTHER
 * WARRANTY OF ANY KIND, WHETHER EXPRESS, IMPLIED OR, STATUTORY AND DISCLAIMS ANY
 * AND ALL IMPLIED WARRANTIES OF MERCHANTABILITY, SATISFACTORY QUALITY, NON
 * INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. THE SOURCE CODE AND
 * DOCUMENTATION MAY INCLUDE ERRORS. TOSHIBA CORPORATION RESERVES THE RIGHT TO
 * INCORPORATE MODIFICATIONS TO THE SOURCE CODE IN LATER REVISIONS OF IT, AND TO
 * MAKE IMPROVEMENTS OR CHANGES IN THE DOCUMENTATION OR THE PRODUCTS OR
 * TECHNOLOGIES DESCRIBED THEREIN AT ANY TIME. TOSHIBA CORPORATION SHALL NOT BE
 * LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGE OR LIABILITY ARISING
 * FROM YOUR USE OF THE SOURCE CODE OR ANY DOCUMENTATION, INCLUDING BUT NOT
 * LIMITED TO, LOST REVENUES, DATA OR PROFITS, DAMAGES OF ANY SPECIAL, INCIDENTAL
 * OR CONSEQUENTIAL NATURE, PUNITIVE DAMAGES, LOSS OF PROPERTY OR LOSS OF PROFITS
 * ARISING OUT OF OR IN CONNECTION WITH THIS AGREEMENT, OR BEING UNUSABLE, EVEN IF
 * ADVISED OF THE POSSIBILITY OR PROBABILITY OF SUCH DAMAGES AND WHETHER A CLAIM
 * FOR SUCH DAMAGE IS BASED UPON WARRANTY, CONTRACT, TORT, NEGLIGENCE OR
 * OTHERWISE. (C)Copyright TOSHIBA CORPORATION 2011 All rights reserved
 */

#ifndef _STANDALONE_CONFIG_H_
#define _STANDALONE_CONFIG_H_

#include <stdint.h>

/* Standalone applications for TMPM4KN */
#if ( (defined __TMPM_4KN__) || (defined __TMPM_4KN__) )

/* Select standalone application */
//#define DEMO_CLICKER4_SLIDER2                                           /*!< Activate "Slider 2 Clicker" demo on Clicker 4 */

#if (defined DEMO_CLICKER4_SLIDER2)

#define STANDALONE_APP

#define STANDALONE_APP_TASK_STACK_SIZE        (200)

#ifdef DEMO_CLICKER4_SLIDER2
/* Demo configuration */
#define USE_DEMO_CONTROL                                                /*!< Activate the demo related commands in the UART command protocol */
#define USE_SLIDER_2_CLICKER                                            /*!< Use the Slider 2 Clicker - for speed control */
#define USE_LED                                                         /*!< Activate LED signaling */
/* Motor configuration*/
#define MOTOR_CHANNEL_0 "motor_define_ACT_42BLF01_3sh_opa.h"            /*!< Motor to be used */
#endif /* DEMO_CLICKER4_SLIDER2 */

#endif /* (defined DEMO_CLICKER4_SLIDER2)*/

#endif  /* TMPM4KN   */

#endif /* STANDALONE_CONFIG_H_ */
