/* THE SOURCE CODE AND ITS
 * RELATED DOCUMENTATION IS PROVIDED "AS IS". TOSHIBA CORPORATION MAKES NO OTHER
 * WARRANTY OF ANY KIND, WHETHER EXPRESS, IMPLIED OR, STATUTORY AND DISCLAIMS ANY
 * AND ALL IMPLIED WARRANTIES OF MERCHANTABILITY, SATISFACTORY QUALITY, NON
 * INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. THE SOURCE CODE AND
 * DOCUMENTATION MAY INCLUDE ERRORS. TOSHIBA CORPORATION RESERVES THE RIGHT TO
 * INCORPORATE MODIFICATIONS TO THE SOURCE CODE IN LATER REVISIONS OF IT, AND TO
 * MAKE IMPROVEMENTS OR CHANGES IN THE DOCUMENTATION OR THE PRODUCTS OR
 * TECHNOLOGIES DESCRIBED THEREIN AT ANY TIME. TOSHIBA CORPORATION SHALL NOT BE
 * LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGE OR LIABILITY ARISING
 * FROM YOUR USE OF THE SOURCE CODE OR ANY DOCUMENTATION, INCLUDING BUT NOT
 * LIMITED TO, LOST REVENUES, DATA OR PROFITS, DAMAGES OF ANY SPECIAL, INCIDENTAL
 * OR CONSEQUENTIAL NATURE, PUNITIVE DAMAGES, LOSS OF PROPERTY OR LOSS OF PROFITS
 * ARISING OUT OF OR IN CONNECTION WITH THIS AGREEMENT, OR BEING UNUSABLE, EVEN IF
 * ADVISED OF THE POSSIBILITY OR PROBABILITY OF SUCH DAMAGES AND WHETHER A CLAIM
 * FOR SUCH DAMAGE IS BASED UPON WARRANTY, CONTRACT, TORT, NEGLIGENCE OR
 * OTHERWISE. (C)Copyright TOSHIBA CORPORATION 2011 All rights reserved
 */

#ifdef BOARD_SBK_M4KN

#include "config.h"
#include BOARD_CONFIG_HEADER_FILE
#include "hal_gpio.h"
#include "FreeRTOS.h"
#include "hal_spi.h"
#include "hal_pmd.h"
#include "hal_adc.h"
#include "motor_control.h"

/* Board revision in the format Major.0, e.g. 0x10 woudl mean Revision 16.0 */
static uint8_t u8SBK_Board_Revision = 0x01;

/*! \brief SPI Init
  *
  * Initalize the SPI bus
  *
  * @param  spi_speed: only for legacy compilation
  *
  * @retval none
*/
void SPI_DeviceInit(uint32_t speed)
{
}

uint8_t GATE_DRIVER_Init(MotorParameters *motorParameters)
{
  return 0;
}

uint8_t ENCODER_RECEIVER_Init(MotorParameters *motorParameters)
{
  return 0;
}

uint8_t BOARD_Detect_Revision(void)
{
  return u8SBK_Board_Revision;
}

#endif   /* BOARD_SBK_M4KN */

